AutoCAD VB :: How To Change Coordinates Of Polyline
Nov 19, 2011How to change coordinates of polyline ?
I know how to get the coordinates but I need to get and change one of the coordinate.
How to change coordinates of polyline ?
I know how to get the coordinates but I need to get and change one of the coordinate.
Imagine i have a polyline(2d or 3d doesn't really matter),and i want to extract the coordinates info of every vertex on the polyline from start to end.
How do i do that in AutoCAD?And if not is there a way to do it on any of the verticals?
in order to obtain a seabed profile for a school project, I need to get the Y coordinate of a polyline on several Kilometers with a fxed X step of 2m between each point.
For the moment, the only manual solution I have found is to create a vertical line every 2m and to get the distance between the intersection of this line with my polyline and an horizontal line representing the mean sea level.
Is there any way to automatize it because it is very long to do manually and I don't have enough time ?
I did not succeed in doing this with dataExtraction. I also found on the internet a LISP file which extract the coordinates of points contained in the window. Nevertheless, I was told it is not possible to create automatically points on a curved polyline with a fixed x step.
What I need at the end is an excel file of this type to use it in another software:
X(m) Water Depth (m)
0 15.121
2 15.134
4 15.147
... ...
I have a an angular polyline (not horizontal or vertical). I want to equally divide the polyline with a specified length and get all separation co-ordinates at each interval. The line remains as polyline, I need to get only the co-ordinates of all the possible divisions for a given length.
I need a C#.Net function for this.
I have a 2 point LWPOLYLINE that has the following coordinates at its end point when I 'ID' the point.
Command: id
Specify point: end
of X = 709369.3214 Y = 7153039.9690 Z = 269.2143
However if I use..
(vlax-safearray->list (vlax-variant-value (vla-get-coordinates (vlax-ename->vla-object (car (entsel))))))
I get this
(-450567.0 269.288 -450570.0 269.214)
and if I 'dump' the object..
; Coordinates = (-450567.0 269.288 -450570.0 269.214)
; Document (RO) = #<VLA-OBJECT IAcadDocument 09855674>
; Elevation = 7.17399e+006
I don't have a clue where the '-450567.0' is coming from.
I'm in Model Space in 'World' UCS, and I'm confused.. why does the 'ID'd' value not reflect whats going on when I use the vla-get-coordinates approach.
There are many other LWPolylines within the same model that behave normally.
I've attached the drawing (I think!)
Code that I can run to export the handles and x y coordinates of closed polylines and show results in a text file.
View 9 Replies View RelatedHow to change the koordinates in a 3D dwg to 2D?
View 9 Replies View Relatedhow to change coordinates of an objects in autocad 2009? for example i have a drawing and i don't want to move the drawing, instead i select single object and make zero positions (X,Y,Z) for this object default.
View 4 Replies View RelatedI recieved a drawing in which the coordinate values are a thousand times too high; they are in millimeters and I need them in meters. I checked the settings of the drawing, and it clearly says that it´s in millimeters, but it doesn't change the setting or to copy the whole drawing into a new file with meter settings.
How I can change the coordinates to meters?
How can I change the coordinates directions? You know X to -X or Y to -Y.
View 4 Replies View RelatedMy drawing settings is set for US Feet. My Data Collector is set for US Feet. I only import a txt file into the drawing. My txt file coordinates match my Data Collector but never in the drawing. We're only talking about hundredth but I don't understand why it changes in the first place.
Example
Point 1 in txt file & DC --- 10000N 5000E
but in drawing --- 9999.98N 4999.99E
Point 2 in txt file & DC ---- 9624.7230N, 4971.5346E
in drawing ----- 9624.7422N, 4971.5445E
I have generated a batch of several thousand drawings, and then realized that my 'Page 3' paper space is positioned over page 2 in the model! Is there a way that I can tell 'Page 3' to change position to co-ordinates of my choosing, using only script, so that I can write a batch program to change them all?
My only other option is to correct the error in the master drawing and generate all the thousands of drawings again, which is why I'm keen to explore alternatives!
I have a lot surfaces. Now i need change coordinates.
[URL]
I have 2 polyline. First I need to know whether those 2 polyline intersect with each other or not. If they are I need to change one of the polyline shape deduct the intersection area.
How can I do that?
how to change the elevation of each vertex on a polyline so that each vertex has a different value. The way I attempted this in the past was to click on polyline, click properties and give each vertex the required elevation. However when I looked back at the values I noticed that every vertex had the same value as the last elevation value entered. is it something to do with ensuring polyline is 3D?
View 2 Replies View RelatedI need to draw a polyline (or spline) in the XY-plane, followed by a vertical segment before continuing in the XY-plane again. The challenge is working out the vertical part while still in the top view. There's no way to change its elevation on the fly that I know of.
View 2 Replies View RelatedI often create points manually. You get that dialogue box where you choose the layer and the default local coordinates, etc etc.
The local coordinates setting always defaults to Northing/Easting. (ditto the grid coordinates).
I set it to Easting/Northing as is standard around these parts and do my points, but if I close the box, when I reopen it to add more points later, it is back to Northing/Easting.
I cannot find a variable to control this behaviour.
I never need points to have north first and would like it to default to Easting/Northing at all times. Yes I'm using the Metric template.
Is there a way to change this default?
I am using acad 2010. I have a contour generator that uses 3d polylines to make contours. I get depressions or tops where I don't want them. I need a lisp routine that will allow me to adjust the z value only on any 3d polyline. I need to raise or lower the z value at any vertex and repeat if necessary. I don't need to prompt the user- I am the user.
View 2 Replies View RelatedI'm working with ACAD 2011. How can i change the line tool to pick a polyline every time i press the line button?? It's simply because I'm tired of the pulldown menu. I know the shortcut but I would like to be able to pick it in my ribbon as well..
View 5 Replies View RelatedIn our office cutlines are made up of polylines. When I use this in an annotative drawing I cannot get the polyline to change with the scale factor. Is there a way to make the polyline annotative?
View 4 Replies View RelatedI want to make a block with dynamic attributes. Basically I have some polylines on my drawing which represent cables, and I want to have a block with a legend on each polyline with 2 values. First will be the cable type which I would enter manually and the second value will be the length of the polyline. Is there any way that the block would read the length of the polyline and dynamically change the 2nd value?
cableblock.jpg
i am trying to translate a Point coordinates from Paperspce to world coordinates in model space.The code i used in Land2006 worked OK but now in Civil3d 2012 it doesn't!
Private Sub GetPlais_Click()
Dim tmpnt1 As Variant, tmpnt2 As Variant, tmpPnt1 As Variant
Dim lole(0 To 2) As Double, upri(0 To 2) As Double
Dim returnobj As AcadObject
FrmGrid3.Hide
On Error GoTo Eline
ThisDrawing.Utility.GetEntity returnobj, tmpPnt1, "ÅðÝëåîå ôï ViewPort ðïõ èá äçìéïõñãçèåß ï êÜíáâïò!"
If TypeOf returnobj Is IAcadPViewport Then
[code]........
I'm a GIS analyst trying to learn Cad. I'd like to place a single point in autocad model space at a specific Northing/Easting position. After reading several forum threads I don't think CAD allows me to change the coordinate system of model space from map coords to northing easting coords, as we can in GIS.
View 5 Replies View RelatedI have a bolt program that draws the thickness of a bolts in elevation as a polyline with a global width, what i need is a lisp to then change this lwpolyline to a hatch, ie if global width is 20 and the polyline is 30 long i need to change this to a 20x30 solid hatch, is it possible to get the the global width and length and convert this to a boundary hatch? I need the same thing done for bolts in plan too as the circle is a lwpolyline also.
View 9 Replies View RelatedIs it possible to flip the ruler in Y so that 0 is the bottom instead of the top?
View 2 Replies View RelatedIs it possible in LR4 to change the GPS coordinates of individual images?
View 4 Replies View RelatedIs there a way, when you are drawing a polyline, to have the tooltip box show the cumulative length of the polyline, rather than the length of the current segment being drawn?
View 6 Replies View RelatedI am using illustrator cs2 and somehow my reference point locator is missing from my menu bar? Also, I am not able to manually set the x y coordinates on anything besides 0 0. I have been using this program for a long time and haven't had this happen before. turned off the reference point locator but I can't see where to get it back on my menu to be able to align objects.
View 1 Replies View RelatedI would like to take all the vertices out of a multiple-vertices polyline so that it reduces to just its start and end points, can this be done?
View 4 Replies View RelatedDue to modeling purposes, I need to convert a 3D polyline to a spline. What I have been doing is:
- change polyline fit/smooth to cubic from properties
- convert polyline to spline by typing spline -> object
- method -> fit from properties
You can see the original 3D polyline (green) and the resulting spline (magenta) in the attached drawing.When I zoom in and measure the distance between the two entities at different points along them, at some points the perpendicular distance exceeds 5 millimeters, and I want to ensure the deviation remains under 1 millimeter or even less.
I know I can change the knot parameterization of the spline, and this does work at some locations, but the difference increases at others.Why is there a 5.6 mm difference between the spline fit point and 3D polyline vertex, as measure in the attached drawing?
Now, I can go and manually stretch the fit point to coincide with the vertex. Also, I can add fit points between existing ones to drag the spline closer to the original 3D poly.
However, some of my polys are really long, and it is very time-consuming to do this manually while measuring points along the entities to make sure the distance stays small enough.
how to automate this process? For example a lisp that would maybe take the original vertex points, add say maybe 3 (not too many) new ones between them, and then generate a spline while making sure the deviation is less than the set value of 1mm? I am using AutoCAD 2013.
I've been working on a custom polyline object, and I've got it functioning!!Having said that, I plan to run its creation around picking a point for bounary selection.
(Other than trying to step through every vertecies) is there a technique I can thow the polyline data from a traceboundary result into my custom object? I've been trying to add the polyline from traceboundary to my object BEFORE it's added to the transaction by the way...I assume that's right, since I want to put it's data in my custom object then add my custom object to the transaction instead.